---
features:
  secondary:
  - name: "New audit events for merge settings"
    available_in: [premium, ultimate]
    documentation_link: 'https://docs.gitlab.com/ee/administration/audit_events.html#project-events'
    reporter: stkerr
    stage: foundations
    categories:
    - 'Audit Events'
    epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/7268'
    description: |
      GitLab now records additional audit events when changes are made to merge request settings. Specifically, audit events are now created when changes are made to:

        - Merge commit message template
        - Squash commit message template
        - Default description template for merge requests
        - Status checks being added, changed, or deleted
        - Merge method
        - Merge options
        - Squash commits when merging settings
        - Merge checks
        - Merge suggestions

      These audit events can help you know that the settings and default configurations for your merge requests have been put in place correctly and that they have not been changed. You might need to know this to pass audits that require separation of duties.

      If these templates or checks are changed, the audit events show you when your workflow was changed to a non-compliant state and the related information to that change. You can have a retrospective to understand the specific change, when it was made, and who was involved. You can then take any remedial action as needed or work with the teams that made the change.
